Subject: Re: [PWE3] I-D Action:draft-ietf-pwe3-vccv-bfd-02.txt

From: "dave.mcdysan" <[email-masked]>
Date: Mon, 17 Nov 2008 10:27:09 -0500

I had a comment and a question on the second bullet in section 3.2 of the
subject draft:

"   o  PW-ACH BFD Encapsulation (BFD without IP/UDP Headers)

      In the second method, a BFD Control packet (format defined in
      Section 4 of [I-D.ietf-bfd-base]) is encapsulated directly in the
      VCCV control channel (see Sections 6 and 8 of
      [I-D.ietf-bfd-generic]) and the IP/UDP headers are omitted from
      the BFD encapsulation.  Therefore, to utilize this encapsulation,
      a pseudowire MUST use a Control Word (CW) or Layer-2 Specific
      Sublayer (L2SS) that can take the PW Associated Channel Header
      (PW-ACH) Control Word format. "

My comment is that I suggest giving a reference and an example for a
"Layer-2 Specific Sublayer (L2SS) that can take the PW Associated Channel
Header (PW-ACH) Control Word format" cited in the last sentence of the
above.

My question in the above wording is whether there a possibility for two ways
to encapsulate the control word for a Layer-2 Specific Sublayer (L2SS)? If
so, we have experience that defining options (e.g., vccv) creates challenges
for interoperability and we should strive to reduce options.

Thanks,

Dave

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of [email-masked]
> Sent: Wednesday, June 25, 2008 10:30 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [PWE3] I-D Action:draft-ietf-pwe3-vccv-bfd-02.txt
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> This draft is a work item of the Pseudowire Emulation Edge to 
> Edge Working Group of the IETF.
> 
> 
> 	Title           : Bidirectional Forwarding Detection 
> (BFD) for the Pseudowire Virtual Circuit Connectivity 
> Verification (VCCV)
> 	Author(s)       : T. Nadeau, C. Pignataro
> 	Filename        : draft-ietf-pwe3-vccv-bfd-02.txt
> 	Pages           : 14
> 	Date            : 2008-06-25
> 
> This document describes new Connectivity Verification (CV) 
> types using Bidirectional Forwarding Detection (BFD) with 
> Virtual Circuit Connectivity Verification (VCCV).  VCCV 
> provides a control channel that is associated with a 
> Pseudowire (PW), as well as the corresponding operations and 
> management functions such as connectivity verification to be 
> used over that control channel.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pwe3-vccv-bfd-02.txt
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> Below is the data which will enable a MIME compliant mail 
> reader implementation to automatically retrieve the ASCII 
> version of the Internet-Draft.
> 

_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3

---

From: Carlos Pignataro <[email-masked]>
Date: Mon, 17 Nov 2008 12:45:51 -0500

Dave,

That sentence could be improved for clarity. The "Layer-2 Specific
Sublayer (L2SS)" text should have been "L2-Specific Sublayer (L2SS)" to
begin with, which could have added to the lack of clarity.

The L2SS refers to the equivalent to the "PW Control Word" for L2TPv3,
as per <http://tools.ietf.org/html/rfc5085#section-6.1>. The citation
pointer for the L2SS in this context comes from RFC5085, as a
terminology requirement (Section 1). Also, there is only one way to
encapsulate the CW carrying raw-BFD VCCV, and that's the PW-ACH (the
need for the CW/L2SS requirement for "raw" BFD is because of the need
for the Channel Type as a PID).

How's this as a suggestion for that second sentence?

      Therefore, to utilize this encapsulation,
      a pseudowire MUST use the PW Associated Channel Header (PW-ACH)
      Control Word format for its Control Word (CW) or L2-Specific
      Sublayer (L2SS).

Another alternative would be to only talk about the CW, and add a
generic sentence near the top that CW statements apply to L2SS as well
unless explicitly noted. But I'd prefer to include CW and L2SS together
and not via this indirection.

For completeness, the text describes related requirements to this other
current passage, that should be consistent:

   3.  Pseudowires that do not use a CW or L2SS using the PW Associated
       Channel Header MUST NOT use the BFD CV Types 0x10 or 0x20 (i.e.,
       PW-ACH encapsulation of BFD, without IP/UDP headers).

and equivalent to:

      When VCCV carries raw BFD, the PW-ACH (Pseudowire CW's or
      L2SS') Channel Type MUST be set to 0x0007 to indicate "BFD
      Control, PW-ACH-encapsulated"
      ...

Thanks,

--Carlos.

-- 
--Carlos Pignataro.
Escalation RTP - cisco Systems
_______________________________________________
pwe3 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pwe3

---

From: "dave.mcdysan" <[email-masked]>
Date: Tue, 18 Nov 2008 10:05:18 -0500

Carlos,

The changed sentence looks good, but could you also please add the reference
to L2TPv3. I think that would make it clearer.

Also, thanks for confirming that there is only ay to encapsulate the CW
carrying raw-BFD 
VCCV. Ths is important for achieving interoperability.

Thanks,

Dave

> From: Carlos Pignataro [mailto:[email-masked]] 
> Sent: Monday, November 17, 2008 12:46 PM
> To: dave.mcdysan
> Cc: [email-masked]
> Subject: Re: [PWE3] I-D Action:draft-ietf-pwe3-vccv-bfd-02.txt
> 
> Dave,
> 
> That sentence could be improved for clarity. The "Layer-2 
> Specific Sublayer (L2SS)" text should have been "L2-Specific 
> Sublayer (L2SS)" to begin with, which could have added to the 
> lack of clarity.
> 
> The L2SS refers to the equivalent to the "PW Control Word" 
> for L2TPv3, as per 
> <http://tools.ietf.org/html/rfc5085#section-6.1>. The 
> citation pointer for the L2SS in this context comes from 
> RFC5085, as a terminology requirement (Section 1). Also, 
> there is only one way to encapsulate the CW carrying raw-BFD 
> VCCV, and that's the PW-ACH (the need for the CW/L2SS 
> requirement for "raw" BFD is because of the need for the 
> Channel Type as a PID).
> 
> Another alternative would be to only talk about the CW, and 
> add a generic sentence near the top that CW statements apply 
> to L2SS as well unless explicitly noted. But I'd prefer to 
> include CW and L2SS together and not via this indirection.
> 
> 
> For completeness, the text describes related requirements to 
> this other current passage, that should be consistent:
> 
> > I had a comment and a question on the second bullet in 
> section 3.2 of 
> > the subject draft:
> > 
> > "Layer-2 Specific Sublayer (L2SS) that can take the PW Associated 
> > Channel Header (PW-ACH) Control Word format" cited in the last 
> > sentence of the above.
> > 
> > My question in the above wording is whether there a possibility for 
> > two ways to encapsulate the control word for a Layer-2 Specific 
> > Sublayer (L2SS)? If so, we have experience that defining options 
> > (e.g., vccv) creates challenges for interoperability and we 
> should strive to reduce options.
> > 
> > Thanks,
> > 
> > Dave
> > 
> >> From: [email-masked] [mailto:[email-masked]] 
> On Behalf 
> >> Of [email-masked]
> >> A New Internet-Draft is available from the on-line Internet-Drafts 
> >> directories.
> >> This draft is a work item of the Pseudowire Emulation Edge to Edge 
> >> Working Group of the IETF.
> >>
> >>
> >> (BFD) for the Pseudowire Virtual Circuit Connectivity Verification 
> >> (VCCV)
> >> This document describes new Connectivity Verification (CV) types 
> >> using Bidirectional Forwarding Detection (BFD) with 
> Virtual Circuit 
> >> Connectivity Verification (VCCV).  VCCV provides a control channel 
> >> that is associated with a Pseudowire (PW), as well as the 
> >> corresponding operations and management functions such as 
> >> connectivity verification to be used over that control channel.
> >>
> >> Below is the data which will enable a MIME compliant mail reader 
> >> implementation to automatically retrieve the ASCII version of the 
> >> Internet-Draft.
> >>
> > 
> >

---

From: Carlos Pignataro <[email-masked]>
Date: Tue, 18 Nov 2008 10:49:28 -0500

Dave,

Thanks; I'll also add the reference.

--Carlos.